KIEBookmarkImporterImpl Class Reference

`#include <kbookmarkimporter_ie.h>`

Inheritance diagram for KIEBookmarkImporterImpl:

## Public Member Functions

virtual void | parse ()
virtual QString | findDefaultLocation (bool forSaving=false) const
Public Member Functions inherited from KBookmarkImporterBase
void | setFilename (const QString &filename)
void | setupSignalForwards (QObject *src, QObject *dst)

## Additional Inherited Members

Signals inherited from KBookmarkImporterBase
void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()
Static Public Member Functions inherited from KBookmarkImporterBase
static KBookmarkImporterBase * | factory (const QString &type)
Protected Attributes inherited from KBookmarkImporterBase
QString | m_fileName

## Detailed Description

A class for importing IE bookmarks.

Since
  3.2

Definition at line 65 of file kbookmarkimporter_ie.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_ie.h
- kbookmarkimporter_ie.cc

KDE Home | KDE Accessibility Home | Description of Access Keys